info.bioinfweb.jphyloio.formats.nexus.receivers

## Class ReferenceOnlySetReceiver

- java.lang.Object
- - info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver<P>
  - - info.bioinfweb.jphyloio.formats.text.BasicTextCommentEventReceiver<NexusWriterStreamDataProvider>
    - - info.bioinfweb.jphyloio.formats.nexus.receivers.AbstractNexusEventReceiver
      - - info.bioinfweb.jphyloio.formats.nexus.receivers.AbstractNexusSetsEventReceiver
        - - info.bioinfweb.jphyloio.formats.nexus.receivers.ReferenceOnlySetReceiver

- All Implemented Interfaces:
    JPhyloIOEventReceiver, NexusConstants

      public class ReferenceOnlySetReceiver
      extends AbstractNexusSetsEventReceiver

- - ### Field Summary

    - ### Fields inherited from interface info.bioinfweb.jphyloio.formats.nexus.NexusConstants

      `ALTERNATIVE_END_COMMAND, BEGIN_COMMAND, BLOCK_NAME_CHARACTERS, BLOCK_NAME_DATA, BLOCK_NAME_NETWORKS, BLOCK_NAME_SETS, BLOCK_NAME_TAXA, BLOCK_NAME_TREES, BLOCK_NAME_UNALIGNED, CHARACTER_NAME_STATES_SEPARATOR, COMMAND_END, COMMAND_NAME_CHAR_LABELS, COMMAND_NAME_CHAR_SET, COMMAND_NAME_CHAR_STATE_LABELS, COMMAND_NAME_DIMENSIONS, COMMAND_NAME_FORMAT, COMMAND_NAME_LINK, COMMAND_NAME_MATRIX, COMMAND_NAME_NETWORK, COMMAND_NAME_TAX_LABELS, COMMAND_NAME_TAXON_SET, COMMAND_NAME_TITLE, COMMAND_NAME_TRANSLATE, COMMAND_NAME_TREE, COMMAND_NAME_TREE_SET, COMMENT_END, COMMENT_START, DIMENSIONS_SUBCOMMAND_NCHAR, DIMENSIONS_SUBCOMMAND_NEW_TAXA, DIMENSIONS_SUBCOMMAND_NTAX, ELEMENT_SEPARATOR, END_COMMAND, FIRST_LINE, FORMAT_NAME_STANDARD, FORMAT_NAME_VECTOR, FORMAT_SUBCOMMAND_DATA_TYPE, FORMAT_SUBCOMMAND_GAP_CHAR, FORMAT_SUBCOMMAND_INTERLEAVE, FORMAT_SUBCOMMAND_MATCH_CHAR, FORMAT_SUBCOMMAND_MISSING_CHAR, FORMAT_SUBCOMMAND_NO_LABELS, FORMAT_SUBCOMMAND_NO_TOKENS, FORMAT_SUBCOMMAND_SYMBOLS, FORMAT_SUBCOMMAND_TOKENS, FORMAT_SUBCOMMAND_TRANSPOSE, FORMAT_VALUE_CONTINUOUS_DATA_TYPE, FORMAT_VALUE_DNA_DATA_TYPE, FORMAT_VALUE_MIXED_DATA_TYPE, FORMAT_VALUE_NUCLEOTIDE_DATA_TYPE, FORMAT_VALUE_PROTEIN_DATA_TYPE, FORMAT_VALUE_RNA_DATA_TYPE, FORMAT_VALUE_STANDARD_DATA_TYPE, KEY_VALUE_SEPARATOR, MATRIX_POLYMORPHIC_TOKEN_END, MATRIX_POLYMORPHIC_TOKEN_START, MATRIX_UNCERTAINS_TOKEN_END, MATRIX_UNCERTAINS_TOKEN_START, NEXUS_FORMAT_NAME, NEXUS_NAMESPACE_PREFIX, NEXUS_PREDICATE_NAMESPACE, SET_END_INDEX_SYMBOL, SET_KEY_WORD_ALL, SET_KEY_WORD_REMAINING, SET_REGULAR_INTERVAL_SYMBOL, SET_TO_SYMBOL, SET_VECTOR_CONTAINED, SET_VECTOR_NOT_CONTAINED, UNTIL_WHITESPACE_COMMENT_COMMAND_EQUAL_PATTERN, UNTIL_WHITESPACE_COMMENT_COMMAND_PATTERN, VALUE_DELIMITER, WORD_DELIMITER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceOnlySetReceiver(NexusWriterStreamDataProvider streamDataProvider, java.util.Set<EventContentType> allowedTypes)`
    `ReferenceOnlySetReceiver(NexusWriterStreamDataProvider streamDataProvider, java.util.Set<EventContentType> allowedTypes, java.util.Set<EventContentType> ignoredTypes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `handleSetElement(SetElementEvent event)` This method is called every time a `SetElementEvent` is encountered on the top level by this receiver and must be implemented by inherited classes.

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.nexus.receivers.AbstractNexusSetsEventReceiver

      `doAdd, handleCharacterSetInterval, writeElementReference`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.text.BasicTextCommentEventReceiver

      `getCommentEnd, getCommentStart, handleComment, writeComment`

    - ### Methods inherited from class info.bioinfweb.jphyloio.dataadapters.implementations.receivers.BasicEventReceiver

      `add, addIgnoredComments, addIgnoredLiteralMetadata, addIgnoredResourceMetadata, addIgnoreLogMessage, didIgnoreComments, didIgnoreLiteralMetadata, didIgnoreMetadata, didIgnoreResourceMetadata, getIgnoredComments, getIgnoredLiteralMetadata, getIgnoredMetadata, getIgnoredResourceMetadata, getLogger, getParameterMap, getParentEvent, getParentEvents, getStreamDataProvider, handleLiteralContentMeta, handleLiteralMetaStart, handleMetaEndEvent, handleResourceMetaStart, isInComment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceOnlySetReceiver

          public ReferenceOnlySetReceiver(NexusWriterStreamDataProvider streamDataProvider,
                                          java.util.Set<EventContentType> allowedTypes,
                                          java.util.Set<EventContentType> ignoredTypes)

    - #### ReferenceOnlySetReceiver

          public ReferenceOnlySetReceiver(NexusWriterStreamDataProvider streamDataProvider,
                                          java.util.Set<EventContentType> allowedTypes)

  - ### Method Detail

    - #### handleSetElement

          protected boolean handleSetElement(SetElementEvent event)
                                      throws java.io.IOException

      Description copied from class: `AbstractNexusSetsEventReceiver`
      This method is called every time a `SetElementEvent` is encountered on the top level by this receiver and must be implemented by inherited classes.
      Specified by:
        `handleSetElement` in class `AbstractNexusSetsEventReceiver`
      Parameters:
        `event` - the set element event that was encountered on the top level by this receiver
      Returns:
        `true` if the encountered event is legal at this position or `false` otherwise (If `false` is returned by inherited classes, an `IllegalEventException` will be thrown as a result afterwards.)
      Throws:
        `java.io.IOException` - if an I/O error occurs while trying to write the contents of the event